高危 RUNC < 1.0-RC6 /PROC/SELF/EXE 远程代码执行漏洞

CVE编号

CVE-2019-5736

利用情况

EXP 已公开

补丁情况

官方补丁

披露时间

2019-02-12
该漏洞EXP已公开传播,漏洞利用成本极低,建议您立即关注并修复。
漏洞描述
Docker、containerd或者其他基于runc的容器在运行时存在安全漏洞,攻击者可以通过特定的容器镜像或者exec操作获取到宿主机runc执行时的文件句柄并修改掉runc的二进制文件,从而获取到宿主机的root执行权限。

解决建议
1、新建Kubernetes1.11或1.12集群。容器服务新创建的1.11或1.12版本的Kubernetes集群已经包含修复该漏洞的Docker版本。
2、升级Docker。升级已有集群的Docker到18.09.2或以上版本。该方案会导致容器和业务中断。、
3、仅升级runc(针对Docker版本17.06)。详情参考:https://help.aliyun.com/document_detail/107320.html
参考链接
http://lists.opensuse.org/opensuse-security-announce/2019-03/msg00044.html
http://lists.opensuse.org/opensuse-security-announce/2019-04/msg00074.html
http://lists.opensuse.org/opensuse-security-announce/2019-04/msg00091.html
http://lists.opensuse.org/opensuse-security-announce/2019-05/msg00060.html
http://lists.opensuse.org/opensuse-security-announce/2019-05/msg00073.html
http://lists.opensuse.org/opensuse-security-announce/2019-06/msg00011.html
http://lists.opensuse.org/opensuse-security-announce/2019-06/msg00015.html
http://lists.opensuse.org/opensuse-security-announce/2019-08/msg00084.html
http://lists.opensuse.org/opensuse-security-announce/2019-10/msg00007.html
http://lists.opensuse.org/opensuse-security-announce/2019-10/msg00029.html
http://packetstormsecurity.com/files/163339/Docker-Container-Escape.html
http://packetstormsecurity.com/files/165197/Docker-runc-Command-Execution-Pro...
http://www.openwall.com/lists/oss-security/2019/03/23/1
http://www.openwall.com/lists/oss-security/2019/06/28/2
http://www.openwall.com/lists/oss-security/2019/07/06/3
http://www.openwall.com/lists/oss-security/2019/07/06/4
http://www.openwall.com/lists/oss-security/2019/10/24/1
http://www.openwall.com/lists/oss-security/2019/10/29/3
http://www.securityfocus.com/bid/106976
https://access.redhat.com/errata/RHSA-2019:0303
https://access.redhat.com/errata/RHSA-2019:0304
https://access.redhat.com/errata/RHSA-2019:0401
https://access.redhat.com/errata/RHSA-2019:0408
https://access.redhat.com/errata/RHSA-2019:0975
https://access.redhat.com/security/cve/cve-2019-5736
https://access.redhat.com/security/vulnerabilities/runcescape
https://aws.amazon.com/security/security-bulletins/AWS-2019-002/
https://azure.microsoft.com/en-us/updates/cve-2019-5736-and-runc-vulnerability/
https://azure.microsoft.com/en-us/updates/iot-edge-fix-cve-2019-5736/
https://blog.dragonsector.pl/2019/02/cve-2019-5736-escape-from-docker-and.html
https://brauner.github.io/2019/02/12/privileged-containers.html
https://bugzilla.suse.com/show_bug.cgi?id=1121967
https://cloud.google.com/kubernetes-engine/docs/security-bulletins#february-1...
https://github.com/docker/docker-ce/releases/tag/v18.09.2
https://github.com/Frichetten/CVE-2019-5736-PoC
https://github.com/opencontainers/runc/commit/0a8e4117e7f715d5fbeef398405813c...
https://github.com/opencontainers/runc/commit/6635b4f0c6af3810594d2770f662f34...
https://github.com/q3k/cve-2019-5736-poc
https://github.com/rancher/runc-cve
https://kubernetes.io/blog/2019/02/11/runc-and-cve-2019-5736/
https://lists.apache.org/thread.html/24e54e3c6b2259e3903b6b8fe26896ac649c481e...
https://lists.apache.org/thread.html/a258757af84c5074dc7bf932622020fd4f60cef6...
https://lists.apache.org/thread.html/a585f64d14c31ab393b90c5f17e41d9765a1a17e...
https://lists.apache.org/thread.html/acacf018c12636e41667e94ac0a1e9244e887eef...
https://lists.apache.org/thread.html/b162dd624dc088cd634292f0402282a1d1d0ce85...
https://lists.apache.org/thread.html/rc494623986d76593873ce5a40dd69cb3629400d...
https://lists.apache.org/thread.html/rf1bbc0ea4a9f014cf94df9a12a6477d24a27f52...
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedorapr...
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedorapr...
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedorapr...
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedorapr...
https://security.gentoo.org/glsa/202003-21
https://security.netapp.com/advisory/ntap-20190307-0008/
https://softwaresupport.softwaregrp.com/document/-/facetsearch/document/KM03410944
https://support.hpe.com/hpsc/doc/public/display?docLocale=en_US&docId=emr_na-...
https://support.mesosphere.com/s/article/Known-Issue-Container-Runtime-Vulner...
https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-s...
https://usn.ubuntu.com/4048-1/
https://www.exploit-db.com/exploits/46359/
https://www.exploit-db.com/exploits/46369/
https://www.openwall.com/lists/oss-security/2019/02/11/2
https://www.synology.com/security/advisory/Synology_SA_19_06
https://www.twistlock.com/2019/02/11/how-to-mitigate-cve-2019-5736-in-runc-an...
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 apache mesos * From
(including)
1.4.0
Up to
(excluding)
1.4.3
运行在以下环境
应用 apache mesos * From
(including)
1.5.0
Up to
(excluding)
1.5.3
运行在以下环境
应用 apache mesos * From
(including)
1.6.0
Up to
(excluding)
1.6.2
运行在以下环境
应用 apache mesos * From
(including)
1.7.0
Up to
(excluding)
1.7.2
运行在以下环境
应用 docker docker * Up to
(excluding)
18.09.2
运行在以下环境
应用 google kubernetes_engine - -
运行在以下环境
应用 hp onesphere - -
运行在以下环境
应用 linuxcontainers lxc * Up to
(excluding)
3.2.0
运行在以下环境
应用 linuxfoundation runc * Up to
(including)
0.1.1
运行在以下环境
应用 linuxfoundation runc 1.0.0 -
运行在以下环境
应用 mesosphere kubernetes_engine * Up to
(excluding)
2.2.0-1.13.3
运行在以下环境
应用 microfocus service_management_automation 2018.02 -
运行在以下环境
应用 microfocus service_management_automation 2018.05 -
运行在以下环境
应用 microfocus service_management_automation 2018.08 -
运行在以下环境
应用 microfocus service_management_automation 2018.11 -
运行在以下环境
应用 netapp hci_management_node - -
运行在以下环境
应用 netapp solidfire - -
运行在以下环境
应用 opensuse backports_sle 15.0 -
运行在以下环境
应用 redhat container_development_kit 3.7 -
运行在以下环境
应用 redhat openshift 3.4 -
运行在以下环境
应用 redhat openshift 3.5 -
运行在以下环境
应用 redhat openshift 3.6 -
运行在以下环境
应用 redhat openshift 3.7 -
运行在以下环境
系统 alpine_3.10 runc * Up to
(excluding)
3.1.0-r1
运行在以下环境
系统 alpine_3.11 runc * Up to
(excluding)
3.1.0-r1
运行在以下环境
系统 alpine_3.12 runc * Up to
(excluding)
3.1.0-r1
运行在以下环境
系统 alpine_3.13 runc * Up to
(excluding)
1.0.0_rc7-r0
运行在以下环境
系统 alpine_3.14 lxc * Up to
(excluding)
3.1.0-r1
运行在以下环境
系统 alpine_3.15 lxc * Up to
(excluding)
1.0.0_rc7-r0
运行在以下环境
系统 alpine_3.9 runc * Up to
(excluding)
1.0.7-r0
运行在以下环境
系统 alpine_edge runc * Up to
(excluding)
1.0.0_rc7-r0
运行在以下环境
系统 amazon_AMI runc * Up to
(excluding)
18.06.1ce-7.25.amzn1
运行在以下环境
系统 centos_8 lxc * Up to
(excluding)
0.1-2.dev.gitc4e1bc5.module+el8.0.0+2958+4e823551
运行在以下环境
系统 debian_9 runc * Up to
(excluding)
0.1.1+dfsg1-2+deb9u1
运行在以下环境
系统 fedora_28 runc * Up to
(excluding)
1.0.0-68.dev.git6635b4f.fc28
运行在以下环境
系统 fedora_29 runc * Up to
(excluding)
1.0.0-92.dev.gitc1b8c57.fc29
运行在以下环境
系统 fedora_30 runc * Up to
(excluding)
1.0.0-92.dev.gitc1b8c57.fc30
运行在以下环境
系统 opensuse_Leap_15.0 runc * Up to
(excluding)
1.0.0
运行在以下环境
系统 opensuse_Leap_15.1 runc * Up to
(excluding)
3.2.1-lp151.4.5.1
运行在以下环境
系统 opensuse_Leap_42.3 runc * Up to
(excluding)
1.0.0rc5
运行在以下环境
系统 oracle_7 runc * Up to
(excluding)
1.0.0-19.rc5.git4bb1fe4.0.3.el7
运行在以下环境
系统 oracle_8 runc * Up to
(excluding)
1.0.0-2.0.1.git921f98f.module+el8.0.0+5215+77f672ad
运行在以下环境
系统 redhat_8 lxc * Up to
(excluding)
0.1-2.dev.gitc4e1bc5.module+el8.0.0+2958+4e823551
运行在以下环境
系统 ubuntu_16.04 lxc * Up to
(excluding)
1.0.0~rc2+docker1.13.1-0ubuntu1~16.04.1
运行在以下环境
系统 ubuntu_18.04 lxc * Up to
(excluding)
18.06.1-0ubuntu1.2~18.04.1
阿里云评分
7.4
  • 攻击路径
    本地
  • 攻击复杂度
    复杂
  • 权限要求
    普通权限
  • 影响范围
    全局影响
  • EXP成熟度
    EXP 已公开
  • 补丁情况
    官方补丁
  • 数据保密性
    数据泄露
  • 数据完整性
    无影响
  • 服务器危害
    服务器失陷
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-78 OS命令中使用的特殊元素转义处理不恰当(OS命令注入)
阿里云安全产品覆盖情况